Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040843
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagermajorhave not tried2019-05-10 16:172019-05-21 15:17
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisioncc303c2e2e09
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040843: update.database "Reading tables..." fails with PG12 -> pg_attrdef.adsrc does not exists

DescriptionRunning update.database against PG12 (devel) fails during 'Reading tables...' step:
     [java] 1144 [main] ERROR org.apache.ddlutils.DatabaseOperationException - ERROR: column pg_attrdef.adsrc does not exist
     [java] Position: 827
     [java] org.postgresql.util.PSQLException: ERROR: column pg_attrdef.adsrc does not exist
     [java] Position: 827

     [java] at org.apache.ddlutils.platform.ModelLoaderBase.readList(ModelLoaderBase.java:813) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.ModelLoaderBase.readColumns(ModelLoaderBase.java:354) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.ModelLoaderBase.readTable(ModelLoaderBase.java:322) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.postgresql.PostgreSqlModelLoader.readTable(PostgreSqlModelLoader.java:632) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.ModelLoaderBase$1.getRow(ModelLoaderBase.java:248) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.ModelLoaderBase.readList(ModelLoaderBase.java:815) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.ModelLoaderBase.readTables(ModelLoaderBase.java:244) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.ModelLoaderBase.readDatabase(ModelLoaderBase.java:194) ~[dbsourcemanager.jar:?]
     [java] at org.apache.ddlutils.platform.postgresql.PostgreSqlModelLoader.readDatabase(PostgreSqlModelLoader.java:89) ~[dbsourcemanager.jar:?]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040842 resolvedalostale Error on create.database with PG12 (prescript views user_constraints + user_tab_columns) use removed attributes 
blocks feature request 0040841 newplatform support PostgreSQL 12 

-  Notes
(0111627)
shuehner (administrator)
2019-05-10 16:19

As error is in model reading it fails any command needing to read model from database also: i.e. export.database
(0111629)
shuehner (administrator)
2019-05-10 16:36

See related 40842 issue for postgres commit with replacement function
(0111639)
hgbot (developer)
2019-05-13 12:55

Repository: erp/devel/dbsm-main
Changeset: 733f0142d3d64ee215c88b060472a4fecfa61bce
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon May 13 12:43:51 2019 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/733f0142d3d64ee215c88b060472a4fecfa61bce [^]

fixed bug 40843: update.database fails with PostgreSQL 12

  It failed because we made use of pg_attrdef.adsrc which was deprecated for a
  long time and has been removed in 12.

  Replaced its use by pg_get_expr which is present in all PG supported versions.

---
M src-test/src/org/openbravo/dbsm/test/model/data/DefaultValuesTest.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlModelLoader.java
---
(0111641)
hgbot (developer)
2019-05-13 12:55

Repository: erp/devel/pi
Changeset: cc303c2e2e097c1aa9e18c2e461fffde54dfd136
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon May 13 12:48:05 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cc303c2e2e097c1aa9e18c2e461fffde54dfd136 [^]

fixed bug 40843: update.database fails with PostgreSQL 12

  It failed because we made use of pg_attrdef.adsrc which was deprecated for a
  long time and has been removed in 12.

  Replaced its use by pg_get_expr which is present in all PG supported versions.

---
M src-db/database/lib/dbsourcemanager.jar
---
(0112028)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-10 16:17 shuehner New Issue
2019-05-10 16:17 shuehner Assigned To => platform
2019-05-10 16:17 shuehner Modules => Core
2019-05-10 16:17 shuehner Triggers an Emergency Pack => No
2019-05-10 16:17 shuehner Relationship added blocks 0040841
2019-05-10 16:19 shuehner Note Added: 0111627
2019-05-10 16:36 shuehner Relationship added related to 0040842
2019-05-10 16:36 shuehner Note Added: 0111629
2019-05-13 12:40 alostale Assigned To platform => alostale
2019-05-13 12:53 alostale Review Assigned To => caristu
2019-05-13 12:55 hgbot Checkin
2019-05-13 12:55 hgbot Note Added: 0111639
2019-05-13 12:55 hgbot Status new => resolved
2019-05-13 12:55 hgbot Resolution open => fixed
2019-05-13 12:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/dbsm-main/rev/733f0142d3d64ee215c88b060472a4fecfa61bce [^]
2019-05-13 12:55 hgbot Checkin
2019-05-13 12:55 hgbot Note Added: 0111641
2019-05-13 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/dbsm-main/rev/733f0142d3d64ee215c88b060472a4fecfa61bce [^] => http://code.openbravo.com/erp/devel/pi/rev/cc303c2e2e097c1aa9e18c2e461fffde54dfd136 [^]
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112028


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker